package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._AvzTIntramail;

public class AvzTIntramail extends _AvzTIntramail {
  public Integer getIntramailId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(INTRAMAIL_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setIntramailId(String id) {
    setObjectId(new ObjectId("AvzTIntramail", INTRAMAIL_ID_PK_COLUMN,
        Integer.valueOf(id)));
  }
}



